> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/developer-resources/api-docs/retrieve-current-user-account-details.md).

# Retrieve current user's account details

This endpoint allows you to retrieve the details of the currently authenticated user's account.

## Endpoint

```
GET /api/v1/account/
```

## Authentication

This endpoint requires authentication using a JWT token.

## Request

No request parameters are required.

## Response

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "User Name"
}
```

## User Profile (Extended Information)

For more detailed user profile information, you can use:

```
GET /api/v1/me/
```

### Extended Response

```json
{
  "id": "username",
  "email": "user@example.com",
  "name": "User Name",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "Company",
  "website": "https://example.com",
  "bio": "User bio",
  "team": [
    {
      "id": "team_id", 
      "name": "Team Name", 
      "image_url": "url", 
      "role": "admin"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## Error Responses

| Status Code | Description                                                       |
| ----------- | ----------------------------------------------------------------- |
| 401         | Unauthorized - Invalid or missing authentication credentials      |
| 403         | Forbidden - User does not have permission to access this resource |
| 500         | Internal Server Error - Something went wrong on the server        |

## Usage Example

### Using cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### Using JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### Using Python

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/developer-resources/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
